Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# Log::Message::Config

Perl 5 version 16.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# Log::Message::Config

- NAME
- SYNOPSIS
- DESCRIPTION
- SEE ALSO
- AUTHOR
- Acknowledgements
- COPYRIGHT

# NAME

Log::Message::Config - Configuration options for Log::Message

# SYNOPSIS

        # This module is implicitly used by Log::Message to create a config    # which it uses to log messages.    # For the options you can pass, see the C<Log::Message new()> method.    # Below is a sample of a config file you could use    # comments are denoted by a single '#'    # use a shared stack, or have a private instance?    # if none provided, set to '0',    private = 1    # do not be verbose    verbose = 0    # default tag to set on new items    # if none provided, set to 'NONE'    tag = SOME TAG    # default level to handle items    # if none provided, set to 'log'    level = carp    # extra files to include    # if none provided, no files are auto included    include = mylib.pl    include = ../my/other/lib.pl    # automatically delete items    # when you retrieve them from the stack?    # if none provided, set to '0'    remove = 1    # retrieve errors in chronological order, or not?    # if none provided, set to '1'    chrono = 0

# DESCRIPTION

Log::Message::Config provides a standardized config object for Log::Message objects.

It can either read options as perl arguments, or as a config file. See the Log::Message manpage for more information about what arguments are valid, and see the Synopsis for an example config file you can use

# SEE ALSO

Log::Message, Log::Message::Item, Log::Message::Handlers

# AUTHOR

This module by Jos Boumans <kane@cpan.org>.

# Acknowledgements

Thanks to Ann Barcomb for her suggestions.

# COPYRIGHT

This module is copyright (c) 2002 Jos Boumans <kane@cpan.org>. All rights reserved.

This library is free software; you may redistribute and/or modify it under the same terms as Perl itself.

Page index

- NAME
- SYNOPSIS
- DESCRIPTION
- SEE ALSO
- AUTHOR
- Acknowledgements
- COPYRIGHT